$AdfDhtmlMessagePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlMessagePeer$$$$$GetSubIdDomElement$$($msgType$$1_subElementId$$38$$) {
  var $clientId$$519_msgIndex$$1$$ = this.$getComponent$().$getClientId$(), $domElement$$657$$ = $AdfAgent$$.$getAgent$().getElementById($clientId$$519_msgIndex$$1$$), $clientId$$519_msgIndex$$1$$ = 0, $openBracket$$ = -1;
  "]" == $msgType$$1_subElementId$$38$$.charAt($msgType$$1_subElementId$$38$$.length - 1) && ($openBracket$$ = $msgType$$1_subElementId$$38$$.lastIndexOf("["), $clientId$$519_msgIndex$$1$$ = 1 * $msgType$$1_subElementId$$38$$.substring($openBracket$$ + 1, $msgType$$1_subElementId$$38$$.length - 1));
  $msgType$$1_subElementId$$38$$ = 0 < $openBracket$$ ? $msgType$$1_subElementId$$38$$.substring(0, $openBracket$$) : $msgType$$1_subElementId$$38$$;
  var $attrValue$$25_childElements$$13$$;
  "summary" == $msgType$$1_subElementId$$38$$ ? $attrValue$$25_childElements$$13$$ = "af|message::type" : "detail" == $msgType$$1_subElementId$$38$$ ? $attrValue$$25_childElements$$13$$ = "af|message::detail" : "intro" == $msgType$$1_subElementId$$38$$ && ($attrValue$$25_childElements$$13$$ = "af|message::intro");
  if (!$attrValue$$25_childElements$$13$$) {
    return null;
  }
  $attrValue$$25_childElements$$13$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass($attrValue$$25_childElements$$13$$);
  if (0 == $clientId$$519_msgIndex$$1$$) {
    return $AdfSubIdUtils$$.$getChildElementByAttributeValue$($domElement$$657$$, "class", $attrValue$$25_childElements$$13$$);
  }
  $attrValue$$25_childElements$$13$$ = $AdfSubIdUtils$$.$getChildElementsByAttributeValue$($domElement$$657$$, "class", $attrValue$$25_childElements$$13$$);
  return $clientId$$519_msgIndex$$1$$ < $attrValue$$25_childElements$$13$$.length ? $attrValue$$25_childElements$$13$$[$clientId$$519_msgIndex$$1$$] : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMessagePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlMessagePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlMessagePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlMessagePeer$$$$$GetBestMatchSubId$$($domElement$$658$$) {
  var $i$$761_isIntroElem_laf$$164$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$(), $clazz$$5_clientId$$520_isTypeElem_rootDOM$$ = $domElement$$658$$.getAttribute("class"), $candidateElements_introCSS$$ = $i$$761_isIntroElem_laf$$164$$.getStyleClass("af|message::intro"), $detailCSS_subId$$54$$ = $i$$761_isIntroElem_laf$$164$$.getStyleClass("af|message::detail"), $typeCSS$$ = $i$$761_isIntroElem_laf$$164$$.getStyleClass("af|message::type"), $i$$761_isIntroElem_laf$$164$$ = (new RegExp($candidateElements_introCSS$$.replace("|", 
  "\\|"))).test($clazz$$5_clientId$$520_isTypeElem_rootDOM$$), $isDetailElem$$ = !$i$$761_isIntroElem_laf$$164$$ && (new RegExp($detailCSS_subId$$54$$.replace("|", "\\|"))).test($clazz$$5_clientId$$520_isTypeElem_rootDOM$$), $clazz$$5_clientId$$520_isTypeElem_rootDOM$$ = !$isDetailElem$$ && (new RegExp($typeCSS$$.replace("|", "\\|"))).test($clazz$$5_clientId$$520_isTypeElem_rootDOM$$);
  if (!$i$$761_isIntroElem_laf$$164$$ && !$isDetailElem$$ && !$clazz$$5_clientId$$520_isTypeElem_rootDOM$$) {
    return null;
  }
  $clazz$$5_clientId$$520_isTypeElem_rootDOM$$ = this.$getComponent$().$getClientId$();
  $clazz$$5_clientId$$520_isTypeElem_rootDOM$$ = $AdfAgent$$.$getAgent$().getElementById($clazz$$5_clientId$$520_isTypeElem_rootDOM$$);
  $candidateElements_introCSS$$ = $AdfSubIdUtils$$.$getChildElementsByAttributeValue$($clazz$$5_clientId$$520_isTypeElem_rootDOM$$, "class", $i$$761_isIntroElem_laf$$164$$ ? $candidateElements_introCSS$$ : $isDetailElem$$ ? $detailCSS_subId$$54$$ : $typeCSS$$);
  $detailCSS_subId$$54$$ = $i$$761_isIntroElem_laf$$164$$ ? "intro" : $isDetailElem$$ ? "detail" : "summary";
  for ($i$$761_isIntroElem_laf$$164$$ = 0;$i$$761_isIntroElem_laf$$164$$ < $candidateElements_introCSS$$.length;$i$$761_isIntroElem_laf$$164$$++) {
    if ($candidateElements_introCSS$$[$i$$761_isIntroElem_laf$$164$$] == $domElement$$658$$) {
      return $detailCSS_subId$$54$$ + "[" + $i$$761_isIntroElem_laf$$164$$ + "]";
    }
  }
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlMessagePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlMessagePeer$$.prototype.$GetBestMatchSubId$});
